Subject: Re: linux-next: build failure after merge of the block tree

From: Sedat Dilek <[email-masked]>
Date: Fri, 7 Jan 2011 14:19:33 +0100

On Fri, Jan 7, 2011 at 1:17 PM, Stephen Rothwell <[email-masked]> wrote:
> Hi All,
>
> On Fri, 7 Jan 2011 11:52:08 +0100 Sedat Dilek <[email-masked]> wrote:
>>
>> JFYI:
>> I pulled in patches from linux-2.6-block#for-next (up to commit
>> 6573422f81efa3bd71848dc584c35d4318d3de0b):
>> "Merge branch 'for-2.6.38/core' into for-next"
>> ...into linux-next (next-20110107) and now I get:
>>
>> $ grep block build_linux-next_next20110107.dileks.2.log
>> 30886 blocks
>>   CC      fs/block_dev.o
>>   CC      mm/memblock.o
>>   CC      kernel/power/block_io.o
>> /home/sd/src/linux-2.6/linux-2.6.37/debian/build/source_i386_none/kernel/trace/blktrace.c:999:2:
>> warning: passing argument 1 of ‘register_trace_block_bio_complete’
>> from incompatible pointer type
>> /home/sd/src/linux-2.6/linux-2.6.37/debian/build/source_i386_none/include/trace/events/block.h:240:1:
>> note: expected ‘void (*)(void *, struct request_queue *, struct bio *,
>> int)’ but argument is of type ‘void (*)(void *, struct request_queue
>> *, struct bio *)’
>> /home/sd/src/linux-2.6/linux-2.6.37/debian/build/source_i386_none/kernel/trace/blktrace.c:1038:2:
>> warning: passing argument 1 of ‘unregister_trace_block_bio_complete’
>> from incompatible pointer type
>> /home/sd/src/linux-2.6/linux-2.6.37/debian/build/source_i386_none/include/trace/events/block.h:240:1:
>> note: expected ‘void (*)(void *, struct request_queue *, struct bio *,
>> int)’ but argument is of type ‘void (*)(void *, struct request_queue
>> *, struct bio *)’
>
> I reported that separately today and Mathieu Desnoyers (cc'd) has said
> that he will supply a patch.
>
> --
> Cheers,
> Stephen Rothwell                    [email-masked]
> http://www.canb.auug.org.au/~sfr/
>

Hmm, I have pulled-in freshly from linux-2.6-block#for-next after you
published latest linux-next (next-20110107).
So, I guessed the (reported) issue is fixed, now.

- Sedat -

[1] http://git.kernel.org/?p=linux/kernel/git/axboe/linux-2.6-block.git;a=commit;h=b7908c1035af7652cd613991b54dbff9c8b6bd3a